Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 757090

Summary: net-analyzer/arping-2.21 fails tests
Product: Gentoo Linux Reporter: Thomas Deutschmann <whissi>
Component: Current packagesAssignee: Netmon Herd <netmon>
Status: RESOLVED FIXED    
Severity: normal Keywords: TESTFAILURE
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 756946    
Attachments: build.log

Description Thomas Deutschmann gentoo-dev Security 2020-11-27 00:00:39 UTC
Created attachment 675220 [details]
build.log

> arping_test.c:239:8: error: ‘test_mkpacket’ redeclared as different kind of symbol
> arping_test.c:264:8: error: ‘pingip_uninteresting_packet’ redeclared as different kind of symbol
> arping_test.c:392:8: error: ‘pingip_interesting_packet’ redeclared as different kind of symbol
> arping_test.c:452:8: error: ‘strip_newline_test’ redeclared as different kind of symbol
> arping_test.c:472:8: error: ‘get_mac_addr_success’ redeclared as different kind of symbol
> arping_test.c:504:8: error: ‘get_mac_addr_fail’ redeclared as different kind of symbol
> arping_test.c:520:14: error: ‘libnet_init_bad_nolo’ redeclared as different kind of symbol
> arping_test.c:528:14: error: ‘libnet_init_null_nolo_nonull’ redeclared as different kind of symbol
> arping_test.c:535:8: error: ‘libnet_init_good’ redeclared as different kind of symbol
> arping_test.c:542:8: error: ‘libnet_init_null_nolo’ redeclared as different kind of symbol
>
Comment 1 Thomas Deutschmann gentoo-dev Security 2020-11-27 00:01:16 UTC
Portage 3.0.9 (python 3.7.9-final-0, default/linux/x86/17.0, gcc-9.3.0, glibc-2.32-r2, 5.4.80-gentoo-x86 i686)
=================================================================
System uname: Linux-5.4.80-gentoo-x86-i686-with-gentoo-2.7
KiB Mem:     3106076 total,   1646008 free
KiB Swap:    8387560 total,   8375528 free
Timestamp of repository gentoo: Thu, 26 Nov 2020 13:35:35 +0000
Head commit of repository gentoo: 6c854c9e960aee0ecb05176ce3530546be4eecc0

sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
ccache version 3.7.12 [enabled]
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          3.6.12::gentoo, 3.7.9::gentoo, 3.8.6::gentoo, 3.9.0::gentoo
dev-util/ccache:          3.7.12::gentoo
dev-util/cmake:           3.17.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.2-r1::gentoo
sys-devel/binutils:       2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r2::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ADA_TARGET="gnat_2018"
ARCH="x86"
BINPKG_COMPRESS="bzip2"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CCACHE_DIR="/var/cache/ccache"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg ccache cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/9.3.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.34/info:/usr/share/info"
INPUT_DEVICES="libinput"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-guest prefix-stack"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
LUA_SINGLE_TARGET="lua5-1"
LUA_TARGETS="lua5-1"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPAGER="manpager"
MOTD_SHOWN="pam"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/root"
OPENCL_PROFILE="ocl-icd"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/11/bin:/usr/lib/llvm/10/bin"
PHP_TARGETS="php7-2 php7-3"
POSTGRES_TARGETS="postgres10 postgres11"
PWD="/tmp/stable"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_7"
PYTHON_TARGETS="python2_7 python3_7"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/11/bin:/usr/lib/llvm/10/bin"
RUBY_TARGETS="ruby25 ruby26"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp//tmux-0/default,3318,0"
TMUX_PANE="%1"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
XDG_RUNTIME_DIR="/run/user/0"
XDG_SESSION_CLASS="user"
XDG_SESSION_ID="1"
XDG_SESSION_TYPE="tty"
Comment 2 Larry the Git Cow gentoo-dev 2021-01-25 19:46:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fc264333692e3e16eb2fb00aee0aa26cc695453

commit 1fc264333692e3e16eb2fb00aee0aa26cc695453
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2021-01-25 19:45:30 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2021-01-25 19:46:44 +0000

    net-analyzer/arping: fix tests
    
    * add new dev-python/subunit dep for tests
    * shorten pkg desc within char limit
    * other formatting changes
    
    Closes: https://bugs.gentoo.org/757090
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 net-analyzer/arping/arping-2.21.ebuild       |  19 ++-
 net-analyzer/arping/files/arping-tests.patch | 190 +++++++++++++++++++++++++++
 2 files changed, 202 insertions(+), 7 deletions(-)